curl --request POST \
--url https://api.birdeye.com/resources/v1/business/{businessNumber}/search \
--header 'Content-Type: application/json' \
--data '
{
"pageSize": 25,
"searchStr": "Thurston Rosenlund",
"sortBy": "createdAt",
"sortOrder": "ASC",
"startIndex": 0
}
'import requests
url = "https://api.birdeye.com/resources/v1/business/{businessNumber}/search"
payload = {
"pageSize": 25,
"searchStr": "Thurston Rosenlund",
"sortBy": "createdAt",
"sortOrder": "ASC",
"startIndex": 0
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
pageSize: 25,
searchStr: 'Thurston Rosenlund',
sortBy: 'createdAt',
sortOrder: 'ASC',
startIndex: 0
})
};
fetch('https://api.birdeye.com/resources/v1/business/{businessNumber}/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accounts": [
{
"name": "Thurston Rosenlund",
"status": "suspended",
"createdAt": "May 01, 2013",
"createdBy": "Sam Bilings",
"businessNumber": 396982176121,
"type": "Business"
},
{
"name": "Aspen Springs Dental",
"status": "paid",
"createdAt": "May 20, 2013",
"businessNumber": 106026111239,
"type": "Business"
},
{
"name": "Cherry Creek Family Dental",
"status": "paid",
"createdAt": "May 20, 2013",
"businessNumber": 379451236128,
"type": "Business"
}
],
"totalCount": 44
}{
"code": 400,
"message": "Page size must not be less than one!"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Search
Search Business API searches a business using a name or number. Partial name matching is also supported by API.
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Long id of the business, under which user wants to search for.
Body
Search criteria for business. This could be business name or number.
Results can be sorted by name, createdAt, and createdBy. By default is createdAt.
The SORT order, Possible values "ASC" or "DESC". By default is "DESC".
Once sorted, it defines starting from which index a page (number of specified search results) is to be created.
Determines the number of search results in the response. Users can set a desired value to limit results, e.g., pageSize=25 shows the top 25 business listings. The Default value is 25.